POST /_system/entity/domains

Add a new domain to the entity (requires setting_manage_domains permission)

Add a new domain to the entity (requires setting_manage_domains permission)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
nameoptionalstring
"production"
Domain name
template_loginoptionalstring
"example"
template_passwordresetoptionalstring
"example"
template_passwordreset_emailoptionalstring
"joe@example.com"
template_securityoptionalstring
"example"
{
  "message": "ok"
}
{
  "error": "ERROR"
}
StatusError CodeDescription
400ERRORDomain name already exists
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
entity_createRequired scope: entity_create

Back to Entity Management Return to the Entity Management category to view other endpoints All API Categories Browse all available API categories